//#define XERR
#include "loop.ih"

// define the columns of the rounds table

    // by headerrounds.cc

void Loop::roundsNcols(FBB::CSVTable &tab) const
{
    tab.fmt() << "round";                             // 1: round

    size_t nActive = d_modalities.activeMods().size();

    for (size_t idx = 0; idx != nActive; ++idx)
        tab.fmt(tab.size()) << 
                    "-true-" << "-false-" <<       // Positve T/Fs
                    "-true-" << "-false-";         // Negative T/Fs 
                                                    // 1 + nActive * 4

    tab.fmt(tab.size()) <<  "tumors" << "interval" <<               
                            "trueInt" << "screening" << "biop567yyy";

    for (size_t idx = 0; idx != nActive; ++idx)     // # Mammo/MRI/... scans
        tab.fmt(tab.size()) <<  "12345";
}
